package de.dwslab.lecture.wdi.json;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;

import com.google.gson.Gson;

public class WDI_20200_RG2_Solution7 {
	
	public static void main(String[] args) throws IOException {
		// creat gson object
		Gson gson = new Gson();
		// create a reader
		BufferedReader br = new BufferedReader(new FileReader(new File(
				"src/main/resources/mondial-3.0-europe-countries.json")));
		// initalize total count of population
		Long population_total = 0l;
		// iterate through the file - line by line
		while (br.ready()) {
			// read the line
			String jsonLine = br.readLine();
			// convert it to a country object
			Country country = gson.fromJson(jsonLine, Country.class);
			// sum the population
			population_total += country.population;
		}
		// close the reader
		br.close();
		// print result
		System.out.println("Total population is: " + population_total);
	}

}
